Loading...
Searching...
No Matches
ojph_block_encoder.cpp File Reference

implements HTJ2K block encoder More...

`#include <cassert>`
`#include <cstring>`
`#include <cstdint>`
`#include <climits>`
`#include <mutex>`
`#include "ojph_mem.h"`
`#include "ojph_arch.h"`
`#include "ojph_block_encoder.h"`
`#include "ojph_message.h"`
`#include "table0.h"`
`#include "table1.h"`

Go to the source code of this file.

## Classes

struct | ojph::local::uvlc_tbl_struct
struct | ojph::local::mel_struct
struct | ojph::local::vlc_struct
struct | ojph::local::ms_struct

## Namespaces

namespace | ojph
namespace | ojph::local

## Functions

static bool | ojph::local::vlc_init_tables ()
static bool | ojph::local::uvlc_init_tables ()
bool | ojph::local::initialize_block_encoder_tables ()
static void | ojph::local::mel_init (mel_struct *melp, ui32 buffer_size, ui8 *data)
static void | ojph::local::mel_emit_bit (mel_struct *melp, int v)
static void | ojph::local::mel_encode (mel_struct *melp, bool bit)
static void | ojph::local::vlc_init (vlc_struct *vlcp, ui32 buffer_size, ui8 *data)
static void | ojph::local::vlc_encode (vlc_struct *vlcp, int cwd, int cwd_len)
static void | ojph::local::terminate_mel_vlc (mel_struct *melp, vlc_struct *vlcp)
static void | ojph::local::ms_init (ms_struct *msp, ui32 buffer_size, ui8 *data)
static void | ojph::local::ms_encode (ms_struct *msp, ui32 cwd, int cwd_len)
static void | ojph::local::ms_encode64 (ms_struct *msp, ui64 cwd, int cwd_len)
static void | ojph::local::ms_terminate (ms_struct *msp)
void | ojph::local::ojph_encode_codeblock32 (ui32 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)
void | ojph::local::ojph_encode_codeblock64 (ui64 *buf, ui32 missing_msbs, ui32 num_passes, ui32 width, ui32 height, ui32 stride, ui32 *lengths, ojph::mem_elastic_allocator *elastic, ojph::coded_lists *&coded)

## Variables

const int | ojph::local::num_uvlc_entries = 75
static uvlc_tbl_struct | ojph::local::uvlc_tbl [num_uvlc_entries]

## Detailed Description

implements HTJ2K block encoder

Definition in file ojph_block_encoder.cpp.